org.appng.xml.platform

## Class NavigationItem

- java.lang.Object
- - org.appng.xml.BaseObject
  - - org.appng.xml.platform.NavigationItem

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    Authentication

      public class NavigationItem
      extends BaseObject
      implements Serializable

  A single item for navigation.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `actionName`
    `protected String` | `actionValue`
    `protected String` | `application`
    `protected Boolean` | `hidden`
    `protected Icon` | `icon`
    `protected List<NavigationItem>` | `item`
    `protected String` | `label`
    `protected String` | `name`
    `protected String` | `page`
    `protected String` | `ref`
    `protected Boolean` | `selected`
    `protected String` | `site`
    `protected ItemType` | `type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NavigationItem()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getActionName()` If the `page` for this item is set, this defines the name for a page-parameter.
    `String` | `getActionValue()` If the `page` for this item is set, this defines the value for the page-parameter defined in `actionName`.
    `String` | `getApplication()` The name of the application this item belongs to.
    `Icon` | `getIcon()` Gets the value of the icon property.
    `List<NavigationItem>` | `getItem()` Gets the value of the item property.
    `String` | `getLabel()` Gets the value of the label property.
    `String` | `getName()` The name of this navigation item.
    `String` | `getPage()` The id of the page this item refers to.
    `String` | `getRef()` The URL-reference for this item, meaning it contains the navigation path.
    `String` | `getSite()` The name of the site this item belongs to.
    `ItemType` | `getType()` The type of this item.
    `Boolean` | `isHidden()` Set to 'true' to mark this item as hidden.
    `Boolean` | `isSelected()` Set to 'true' to mark this item as selected.
    `void` | `setActionName(String value)` Sets the value of the actionName property.
    `void` | `setActionValue(String value)` Sets the value of the actionValue property.
    `void` | `setApplication(String value)` Sets the value of the application property.
    `void` | `setHidden(Boolean value)` Sets the value of the hidden property.
    `void` | `setIcon(Icon value)` Sets the value of the icon property.
    `void` | `setLabel(String value)` Sets the value of the label property.
    `void` | `setName(String value)` Sets the value of the name property.
    `void` | `setPage(String value)` Sets the value of the page property.
    `void` | `setRef(String value)` Sets the value of the ref property.
    `void` | `setSelected(Boolean value)` Sets the value of the selected property.
    `void` | `setSite(String value)` Sets the value of the site property.
    `void` | `setType(ItemType value)` Sets the value of the type property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### label

          protected String label

    - #### icon

          protected Icon icon

    - #### item

          protected List<NavigationItem> item

    - #### type

          protected ItemType type

    - #### ref

          protected String ref

    - #### name

          protected String name

    - #### site

          protected String site

    - #### application

          protected String application

    - #### page

          protected String page

    - #### actionName

          protected String actionName

    - #### actionValue

          protected String actionValue

    - #### hidden

          protected Boolean hidden

    - #### selected

          protected Boolean selected

  - ### Constructor Detail

    - #### NavigationItem

          public NavigationItem()

  - ### Method Detail

    - #### getLabel

          public String getLabel()

      Gets the value of the label property.
      Returns:
        possible object is `String`

    - #### setLabel

          public void setLabel(String value)

      Sets the value of the label property.
      Parameters:
        `value` - allowed object is `String`

    - #### getIcon

          public Icon getIcon()

      Gets the value of the icon property.
      Returns:
        possible object is `Icon`

    - #### setIcon

          public void setIcon(Icon value)

      Sets the value of the icon property.
      Parameters:
        `value` - allowed object is `Icon`

    - #### getItem

          public List<NavigationItem> getItem()

      Gets the value of the item property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the item property.

      For example, to add a new item, do as follows:

              getItem().add(newItem);

      Objects of the following type(s) are allowed in the list `NavigationItem`

    - #### getType

          public ItemType getType()

      The type of this item.
      Returns:
        possible object is `ItemType`
      See Also:
        `ItemType`

    - #### setType

          public void setType(ItemType value)

      Sets the value of the type property.
      Parameters:
        `value` - allowed object is `ItemType`

    - #### getRef

          public String getRef()

      The URL-reference for this item, meaning it contains the navigation path.
      Returns:
        possible object is `String`

    - #### setRef

          public void setRef(String value)

      Sets the value of the ref property.
      Parameters:
        `value` - allowed object is `String`

    - #### getName

          public String getName()

      The name of this navigation item.
      Returns:
        possible object is `String`

    - #### setName

          public void setName(String value)

      Sets the value of the name property.
      Parameters:
        `value` - allowed object is `String`

    - #### getSite

          public String getSite()

      The name of the site this item belongs to.
      Returns:
        possible object is `String`

    - #### setSite

          public void setSite(String value)

      Sets the value of the site property.
      Parameters:
        `value` - allowed object is `String`

    - #### getApplication

          public String getApplication()

      The name of the application this item belongs to.
      Returns:
        possible object is `String`

    - #### setApplication

          public void setApplication(String value)

      Sets the value of the application property.
      Parameters:
        `value` - allowed object is `String`

    - #### getPage

          public String getPage()

      The id of the page this item refers to.
      Returns:
        possible object is `String`

    - #### setPage

          public void setPage(String value)

      Sets the value of the page property.
      Parameters:
        `value` - allowed object is `String`

    - #### getActionName

          public String getActionName()

      If the `page` for this item is set, this defines the name for a page-parameter.
      Returns:
        possible object is `String`

    - #### setActionName

          public void setActionName(String value)

      Sets the value of the actionName property.
      Parameters:
        `value` - allowed object is `String`

    - #### getActionValue

          public String getActionValue()

      If the `page` for this item is set, this defines the value for the page-parameter defined in `actionName`.
      Returns:
        possible object is `String`

    - #### setActionValue

          public void setActionValue(String value)

      Sets the value of the actionValue property.
      Parameters:
        `value` - allowed object is `String`

    - #### isHidden

          public Boolean isHidden()

      Set to 'true' to mark this item as hidden.
      Returns:
        possible object is `Boolean`

    - #### setHidden

          public void setHidden(Boolean value)

      Sets the value of the hidden property.
      Parameters:
        `value` - allowed object is `Boolean`

    - #### isSelected

          public Boolean isSelected()

      Set to 'true' to mark this item as selected.
      Returns:
        possible object is `Boolean`

    - #### setSelected

          public void setSelected(Boolean value)

      Sets the value of the selected property.
      Parameters:
        `value` - allowed object is `Boolean`

Copyright © 2011–2023 aiticon GmbH. All rights reserved.